"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importStar(require("express"));
const cors_1 = __importDefault(require("cors"));
require("express-async-errors");
const express_session_1 = __importDefault(require("express-session"));
const passport_1 = __importDefault(require("passport"));
const express_rate_limit_1 = __importDefault(require("express-rate-limit"));
const question_router_1 = require("./routers/question.router");
const modules_router_1 = require("./routers/modules.router");
const test_router_1 = require("./routers/test.router");
const auth_router_1 = require("./routers/auth.router");
const local_strategy_1 = require("./utils/local.strategy");
const handleError_1 = require("./utils/handleError");
const cookie_parser_1 = __importDefault(require("cookie-parser"));
const user_router_1 = require("./routers/user.router");
const configData_1 = require("./configData/configData");
const app = (0, express_1.default)();
app.use((0, cookie_parser_1.default)());
app.use((0, cors_1.default)({
    origin: configData_1.config.CORS_ORIGIN,
    credentials: true,
}));
app.use((0, express_1.json)());
app.use((0, express_rate_limit_1.default)({
    windowMs: 5 * 60 * 100000,
    max: 100,
}));
app.use((0, express_session_1.default)({
    secret: configData_1.config.SESSION_SECRET,
    resave: false,
    saveUninitialized: false,
}));
app.use(passport_1.default.initialize());
app.use(passport_1.default.session());
app.use(passport_1.default.authenticate('session'));
passport_1.default.use(local_strategy_1.localStrategy);
const router = (0, express_1.Router)();
router.use('/questions', question_router_1.questionRouter);
router.use('/modules', modules_router_1.modulesRouter);
router.use('/test', test_router_1.testRouter);
router.use('/auth', auth_router_1.authRouter);
router.use('/users', user_router_1.userRouter);
app.use('/app', router);
app.use(handleError_1.handleError);
app.listen(3001, '0.0.0.0', () => {
    console.log('Listening on port http://localhost:3001');
});
//# sourceMappingURL=index.js.map