"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModuleRecord = void 0;
const uuid_1 = require("uuid");
const db_1 = require("../utils/db");
class ModuleRecord {
    constructor(obj) {
        this.module = obj.module.charAt(0).toUpperCase() + obj.module.slice(1).toLowerCase();
        this.id = obj.id;
    }
    static getAllModules() {
        return __awaiter(this, void 0, void 0, function* () {
            const [results] = yield db_1.pool.execute('SELECT * FROM `modules`');
            return results.map(el => ({
                id: (0, uuid_1.v4)(),
                module: el.module,
            }));
        });
    }
    static addModule(module) {
        return __awaiter(this, void 0, void 0, function* () {
            yield db_1.pool.execute('INSERT INTO `modules` (`module`)  VALUES(:module)', {
                module
            });
        });
    }
}
exports.ModuleRecord = ModuleRecord;
//# sourceMappingURL=modules.record.js.map