"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.authRouter = void 0;
const express_1 = require("express");
const passport_1 = __importDefault(require("passport"));
const hash_pwd_1 = require("../utils/hash-pwd");
exports.authRouter = (0, express_1.Router)();
exports.authRouter
    .post('/login', (req, res) => passport_1.default.authenticate('local', (err, isSuccess, mess) => {
    if (isSuccess) {
        return res
            .cookie('session_id', (0, hash_pwd_1.hashPwd)('zalogowano'), {
            secure: false,
            maxAge: 12 * 60 * 60 * 1000,
        })
            .json({
            isSuccess
        });
    }
    return res.json({
        isSuccess,
        mess: mess.message
    });
})(req, res))
    .post('/logout', (req, res) => {
    req.logout((err) => {
        if (err) {
            return err;
        }
        res.clearCookie('session_id', {
            secure: false,
        })
            .json({ isLogout: true });
    });
});
//# sourceMappingURL=auth.router.js.map