"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.questionRouter = void 0;
const express_1 = require("express");
const question_record_1 = require("../records/question.record");
const handleError_1 = require("../utils/handleError");
exports.questionRouter = (0, express_1.Router)();
exports.questionRouter
    .get('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const allQuestion = yield question_record_1.QuestionRecord.getQuestionAndAnswer();
    res.json(allQuestion);
}))
    .post('/add', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const question = new question_record_1.QuestionRecord(req.body);
    const add = yield question.insert();
    res.status(201).json({
        module: question.module,
        isNewModule: add,
    });
}))
    .get('/search/:content', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const searchingQuestion = yield question_record_1.QuestionRecord.search(req.params.content);
    res.json(searchingQuestion);
}))
    .get('/search', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const searchingQuestion = yield question_record_1.QuestionRecord.searchAll();
    res.json(searchingQuestion);
}))
    .get('/module/:module', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const questionFromModule = yield question_record_1.QuestionRecord.getQuestionAndAnswerFromModule(req.params.module);
    res.json(questionFromModule);
}))
    .get('/getOneQuestion/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const singleQuestion = yield question_record_1.QuestionRecord.getOne(req.params.id);
    res.json(singleQuestion);
}))
    .put('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const updateQuestion = new question_record_1.QuestionRecord(req.body);
    yield updateQuestion.update();
    res.json({ ok: true });
}))
    .delete('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const question = yield question_record_1.QuestionRecord.getOne(req.params.id);
    if (question === null) {
        throw new handleError_1.ValidationError('Nie ma pytania o takim ID.');
    }
    yield question.delete();
    res.json({ ok: 'Pytanie zostało prawidłowo usunięte.' });
}));
//# sourceMappingURL=question.router.js.map