"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.testRouter = void 0;
const express_1 = require("express");
const test_record_1 = require("../records/test.record");
exports.testRouter = (0, express_1.Router)();
exports.testRouter
    .get('/general', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const test = yield test_record_1.TestRecord.createGeneralTest();
    res.json(test);
}))
    .get('/module/:moduleName/:questionsCount', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { moduleName, questionsCount } = req.params;
    const test = yield test_record_1.TestRecord.createModuleTest(moduleName, Number(questionsCount));
    res.json(test);
}));
//# sourceMappingURL=test.router.js.map