"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.userRouter = void 0;
const express_1 = require("express");
const user_record_1 = require("../records/user.record");
const handleError_1 = require("../utils/handleError");
exports.userRouter = (0, express_1.Router)();
exports.userRouter
    .get('/search/:content', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const searchingUser = yield user_record_1.UserRecord.search(req.params.content);
    res.json(searchingUser);
}))
    .get('/search', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const searchingUser = yield user_record_1.UserRecord.searchAll();
    res.json(searchingUser);
}))
    .post('/register', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const user = req.body;
    const newUser = new user_record_1.UserRecord(user);
    const isSuccess = yield newUser.register();
    res.json({ isSuccess });
}))
    .delete('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield user_record_1.UserRecord.getOne(req.params.id);
    if (user === null) {
        throw new handleError_1.ValidationError('Nie ma użytkownika o takim ID.');
    }
    yield user_record_1.UserRecord.delete(req.params.id);
    res.json({ ok: 'Użytkownik zostało prawidłowo usunięty.' });
}));
//# sourceMappingURL=user.router.js.map