"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const question_record_1 = require("../records/question.record");
const db_1 = require("../utils/db");
const defaultObj = new question_record_1.QuestionRecord({
    badAnswer1: '20',
    badAnswer2: '4',
    badAnswer3: '1',
    correctAnswer: '2',
    module: 'genetyka',
    question: 'ile nog posiada dorosły samiec człowieka'
});
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    yield db_1.pool.end();
}));
test('Correct build QuestionRecord', () => {
    const question = new question_record_1.QuestionRecord(defaultObj);
    expect(question.question).toBe('ile nog posiada dorosły samiec człowieka');
    expect(question.correctAnswer).toBe('2');
});
test('check that validation throw correct errors', () => {
    const question = new question_record_1.QuestionRecord(defaultObj);
    expect(() => new question_record_1.QuestionRecord(Object.assign(Object.assign({}, question), { question: '' }))).toThrow('Nie podana treść pytania.');
    expect(() => new question_record_1.QuestionRecord(Object.assign(Object.assign({}, question), { correctAnswer: '' }))).toThrow('Brak poprawnej odpowiedzi.');
    expect(() => new question_record_1.QuestionRecord(Object.assign(Object.assign({}, question), { module: '' }))).toThrow('Brak przyporządkowania pytania do przedmiotu.');
});
//# sourceMappingURL=question.record.test.js.map