"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.localStrategy = void 0;
const passport_local_1 = require("passport-local");
const passport_1 = __importDefault(require("passport"));
const db_1 = require("./db");
const hash_pwd_1 = require("./hash-pwd");
exports.localStrategy = new passport_local_1.Strategy({
    usernameField: 'login',
    passwordField: 'password'
}, (login, password, done) => __awaiter(void 0, void 0, void 0, function* () {
    const [result] = yield db_1.pool.execute('SELECT * FROM `users` WHERE `login` = :login', {
        login
    });
    if (result.length === 0) {
        return done(null, false, { message: 'Nie znaleziono użytkownika' });
    }
    try {
        if ((0, hash_pwd_1.hashPwd)(password) === result[0].pwdHash) {
            return done(null, true);
        }
        else {
            return done(null, false, { message: 'Nieprawidłowe hasło' });
        }
    }
    catch (e) {
        return done(e);
    }
}));
passport_1.default.serializeUser((isSuccess, done) => {
    return done(null, isSuccess);
});
passport_1.default.deserializeUser((user, done) => {
    return done(null, user.id);
});
//# sourceMappingURL=local.strategy.js.map